﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/b5ace7ae-b57e-402c-9000-faecb3f528d1/3742e5afb8d793cfb9c85e0a806a54b9/dotnet-sdk-2.1.612-win-x86.exe'
$checksum   = 'd9e3d6e85bf9fc763fd0156d0ddb475f2e3c9162b74961b2f0c0138f2046c36ff2b9c762dbb72360ea5c4f5e488b36be4d409a311d333f277f0f521a386026b8'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/8a097690-f50f-41db-84c5-1cc5eb602e83/c980983fec59403bf78cba7892b748e2/dotnet-sdk-2.1.612-win-x64.exe'
$checksum64 = '8cece153f03897a42f5f31d37e86f5ebf4c9f5823cfa1376cea2e74e1d4281a6fb5c5a103c87fd43efff014ed3a7d58cd0b78f202d8f5996e7174a60bb21cc51'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
